List Data Imports
curl --request GET \
--url https://app.specurate.com/api/v1/workspaces/{workspaceId}/assistant/importsimport requests
url = "https://app.specurate.com/api/v1/workspaces/{workspaceId}/assistant/imports"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://app.specurate.com/api/v1/workspaces/{workspaceId}/assistant/imports', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"conversation": {
"id": "<string>",
"title": "<string>",
"currentRun": null
},
"takeoff": {},
"sourceSelection": {},
"columnMappings": {},
"valueMappings": {},
"reviewDraft": {},
"publishResult": {},
"id": "<string>",
"target": {
"kind": "<string>",
"projectId": "<string>"
},
"status": "awaiting_upload",
"kind": "project_items",
"version": 123,
"analysisRevision": 123,
"document": {
"id": "<string>",
"displayName": "<string>",
"mimeType": "<string>",
"sizeBytes": 123,
"status": "pending",
"confirmedAt": "<string>",
"extractionDispatchedAt": "<string>",
"safeErrorCode": "<string>"
},
"sourceSnapshot": {},
"progress": {
"phase": "analysis",
"safeErrorCode": "<string>"
},
"counts": {
"blockingIssues": 123,
"warningIssues": 123
},
"issueSummary": {
"blocking": 123,
"warning": 123
},
"publishable": true,
"createdAt": "<string>",
"updatedAt": "<string>"
}
],
"nextCursor": "<string>",
"hasMore": true
}Data Imports
List Data Imports
GET
/
v1
/
workspaces
/
{workspaceId}
/
assistant
/
imports
List Data Imports
Path Parameters
Pattern:
^[1-9]\d*$Query Parameters
Pattern:
^[1-9]\d*$Minimum string length:
1Required range:
1 <= x <= 100⌘I